%define svn %nil
%define major	54

%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d
%define staticname %mklibname %{name} -s -d

%define avfmajor 54
%define avflibname %mklibname avformats %{avfmajor}
%define postprocmajor 52
%define postproclibname %mklibname postproc %{postprocmajor}

%define avumajor 51
%define avulibname %mklibname avutil %{avumajor}
%define swsmajor 2
%define swslibname %mklibname swscaler %{swsmajor}

%define filtermajor 3
%define filterlibname %mklibname avfilter %{filtermajor}

%define swresamplemajor 0
%define swresamplelibname %mklibname swresample %{swresamplemajor}

%define build_plf 0
%{?_with_plf: %{expand: %%global build_plf 1}}
%if %{build_plf}
%define distsuffix plf
%if %mdvver >= 201100
# make EVR of plf build higher than regular to allow update, needed with rpm5 mkrel
%define extrarelsuffix plf
%endif
%endif

%bcond_without	swscaler
%bcond_with	faac
%bcond_without	dlopen

Name: 	 	ffmpeg
Version: 	1.0
Release: 	1
Summary: 	Hyper fast MPEG1/MPEG4/H263/RV and AC3/MPEG audio encoder
Source0: 	http://ffmpeg.org/releases/%{name}-%{version}.tar.bz2
Patch1:		ffmpeg-1.0-dlopen-faac-mp3lame-opencore-x264-xvid.patch
%if %{build_plf}
License: 	GPLv3+
%else
License: 	GPLv2+
%endif
Group:		Video
BuildRequires:	texi2html
BuildRequires:	SDL-devel
BuildRequires:	libtheora-devel
BuildRequires:	libvorbis-devel
BuildRequires:	pkgconfig(jack)
BuildRequires:	libdc1394-devel
BuildRequires:	libschroedinger-devel
BuildRequires:	libvpx-devel
BuildRequires:	jpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	bzip2-devel
BuildRequires:	rtmp-devel
BuildRequires:	yasm
BuildRequires:	vdpau-devel
BuildRequires:	libva-devel
URL:		http://ffmpeg.org/
%if %{build_plf}
BuildRequires:	x264-devel >= 0.118
BuildRequires:	liblame-devel
BuildRequires:	opencore-amr-devel
%endif
%if %{with faac}
BuildRequires:	libfaac-devel
%endif
BuildRequires:	pkgconfig(speex)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	libnut-devel
BuildRequires:	gsm-devel
BuildRequires:	pkgconfig(celt)
BuildRequires:	pkgconfig(opencv)
BuildRequires:	openjpeg-devel
BuildRequires:	pkgconfig(xavs)
BuildRequires:	pkgconfig(libmodplug)
BuildRequires:	pkgconfig(libass)
BuildRequires:	pkgconfig(gnutls) >= 3.0
BuildRequires:	pkgconfig(libcdio)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(libv4l2)
%if 0
Buildrequires:	pkgconfig(frei0r)
%endif

%description
ffmpeg is a hyper fast realtime audio/video encoder, a streaming server
and a generic audio and video file converter.

It can grab from a standard Video4Linux video source and convert it into
several file formats based on DCT/motion compensation encoding. Sound is
compressed in MPEG audio layer 2 or using an AC3 compatible stream.

%if %{build_plf}
This package is in PLF as it violates several patents.
%endif

%package -n	%{libname}
Group:		System/Libraries
Summary:	Shared library part of ffmpeg
%if %{with dlopen}
%if "%{_lib}" == "lib64"
%global	_ext	()(64bit)
%else
%global	_ext	%{nil}
%endif
Suggests:	libfaac.so.0%{_ext}
Suggests:	libx264.so.124%{_ext}
Suggests:	libopencore-amrnb.so.0%{_ext}
Suggests:	libopencore-amrwb.so.0%{_ext}
Suggests:	libmp3lame.so.0%{_ext}
Suggests:	libxvidcore.so.4%{_ext}
%endif

%description -n	%{libname}
ffmpeg is a hyper fast realtime audio/video encoder, a streaming server
and a generic audio and video file converter.

It can grab from a standard Video4Linux video source and convert it into
several file formats based on DCT/motion compensation encoding. Sound is
compressed in MPEG audio layer 2 or using an AC3 compatible stream.

Install libffmpeg if you want to encode multimedia streams.

%package -n	%{postproclibname}
Group:		System/Libraries
Summary:	Shared library part of ffmpeg
Conflicts:	%mklibname ffmpeg 51

%description -n	%{postproclibname}
ffmpeg is a hyper fast realtime audio/video encoder, a streaming server
and a generic audio and video file converter.

It can grab from a standard Video4Linux video source and convert it into
several file formats based on DCT/motion compensation encoding. Sound is
compressed in MPEG audio layer 2 or using an AC3 compatible stream.

Install libffmpeg if you want to encode multimedia streams.


%package -n	%{avflibname}
Group:          System/Libraries
Summary:        Shared library part of ffmpeg

%description -n %{avflibname}
ffmpeg is a hyper fast realtime audio/video encoder, a streaming server
and a generic audio and video file converter.

It can grab from a standard Video4Linux video source and convert it into
several file formats based on DCT/motion compensation encoding. Sound is
compressed in MPEG audio layer 2 or using an AC3 compatible stream.

Install libffmpeg if you want to encode multimedia streams.

%package -n	%{avulibname}
Group:          System/Libraries
Summary:        Shared library part of ffmpeg

%description -n %{avulibname}
ffmpeg is a hyper fast realtime audio/video encoder, a streaming server
and a generic audio and video file converter.

It can grab from a standard Video4Linux video source and convert it into
several file formats based on DCT/motion compensation encoding. Sound is
compressed in MPEG audio layer 2 or using an AC3 compatible stream.

Install libffmpeg if you want to encode multimedia streams.

%package -n	%{swslibname}
Group:          System/Libraries
Summary:        Shared library part of ffmpeg

%description -n %{swslibname}
ffmpeg is a hyper fast realtime audio/video encoder, a streaming server
and a generic audio and video file converter.

It can grab from a standard Video4Linux video source and convert it into
several file formats based on DCT/motion compensation encoding. Sound is
compressed in MPEG audio layer 2 or using an AC3 compatible stream.

Install libffmpeg if you want to encode multimedia streams.

%package -n	%{filterlibname}
Group:          System/Libraries
Summary:        Shared library part of ffmpeg

%description -n	%{filterlibname}
ffmpeg is a hyper fast realtime audio/video encoder, a streaming server
and a generic audio and video file converter.

It can grab from a standard Video4Linux video source and convert it into
several file formats based on DCT/motion compensation encoding. Sound is
compressed in MPEG audio layer 2 or using an AC3 compatible stream.

Install libffmpeg if you want to encode multimedia streams.

%package -n	%{swresamplelibname}
Group:          System/Libraries
Summary:        Shared library part of ffmpeg

%description -n %{swresamplelibname}
ffmpeg is a hyper fast realtime audio/video encoder, a streaming server
and a generic audio and video file converter.

It can grab from a standard Video4Linux video source and convert it into
several file formats based on DCT/motion compensation encoding. Sound is
compressed in MPEG audio layer 2 or using an AC3 compatible stream.

%package -n	%{develname}
Group:		Development/C
Summary:	Header files for the ffmpeg codec library
Requires:	%{libname} = %{EVRD}
Requires:	%{avflibname} = %{EVRD}
Requires:	%{avulibname} = %{EVRD}
Requires:	%{postproclibname} = %{EVRD}
%if %{with swscaler}
Requires:	%{swslibname} = %{EVRD}
%endif
Requires:	%{swresamplelibname} = %{EVRD}
Requires:	%{filterlibname} = %{EVRD}
Provides:	ffmpeg-devel = %{EVRD}
Obsoletes:	%mklibname -d %{name} 51

%description -n	%{develname}
ffmpeg is a hyper fast realtime audio/video encoder, a streaming server
and a generic audio and video file converter.

It can grab from a standard Video4Linux video source and convert it into
several file formats based on DCT/motion compensation encoding. Sound is
compressed in MPEG audio layer 2 or using an AC3 compatible stream.

Install libffmpeg-devel if you want to compile apps with ffmpeg support.

%package -n	%{staticname}
Group:		Development/C
Summary:	Static library for the ffmpeg codec library
Requires:	%{develname} = %{EVRD}
Provides:	ffmpeg-static-devel = %{EVRD}
Obsoletes:	%mklibname -s -d %{name} 51

%description -n	%{staticname}
ffmpeg is a hyper fast realtime audio/video encoder, a streaming server
and a generic audio and video file converter.

It can grab from a standard Video4Linux video source and convert it into
several file formats based on DCT/motion compensation encoding. Sound is
compressed in MPEG audio layer 2 or using an AC3 compatible stream.

Install libffmpeg-devel if you want to compile apps with ffmpeg support.

%prep
%setup -q
%patch1 -p1 -b .dlopen~

%build
export CFLAGS="%{optflags} -fPIC -I%_includedir/openjpeg-1.5/"
export LDFLAGS="%{ldflags}"

./configure --prefix=%{_prefix} \
	--enable-shared \
	--libdir=%{_libdir} \
	--shlibdir=%{_libdir} \
	--incdir=%{_includedir} \
	--disable-stripping \
	--enable-postproc \
	--enable-gpl \
	--enable-pthreads \
	--enable-libtheora \
	--enable-libvorbis --disable-encoder=vorbis \
	--enable-libvpx \
	--enable-x11grab \
	--enable-runtime-cpudetect \
	--enable-libdc1394 \
	--enable-libschroedinger \
	--enable-librtmp \
	--enable-libspeex \
	--enable-libfreetype \
	--enable-libnut \
	--enable-libgsm \
	--enable-libcelt \
	--enable-libopencv \
	--enable-libopenjpeg \
	--enable-libxavs \
	--enable-libmodplug \
	--enable-libass \
	--enable-gnutls \
	--enable-libcdio \
	--enable-libpulse \
	--enable-libv4l2 \
%if 0
	--enable-frei0r \
%endif
%if %{build_plf}
	--enable-libmp3lame \
	--enable-libopencore-amrnb \
	--enable-libopencore-amrwb \
	--enable-version3 \
	--enable-libx264 \
%else
	--disable-decoder=aac --disable-encoder=aac \
%if %{with dlopen}
	--enable-libmp3lame-dlopen \
	--enable-libopencore-amrnb-dlopen \
	--enable-libopencore-amrwb-dlopen \
	--enable-libx264-dlopen \
	--enable-libxvid-dlopen \
%if !%{with faac}
	--enable-libfaac-dlopen \
%endif
%endif
%endif
%if %{with faac}
	--enable-nonfree --enable-libfaac
%endif

%make

%install
%makeinstall_std SRC_PATH=`pwd`

%files
%doc INSTALL README doc/*.html doc/*.txt doc/*.conf
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/ffmpeg

%files -n %{libname}
%{_libdir}/libavcodec.so.%{major}*

%files -n %{postproclibname}
%{_libdir}/libpostproc.so.%{postprocmajor}*

%files -n %{avflibname}
%{_libdir}/libavformat.so.%{avfmajor}*
%{_libdir}/libavdevice.so.%{avfmajor}*

%files -n %{avulibname}
%{_libdir}/libavutil.so.%{avumajor}*

%if %{with swscaler}
%files -n %{swslibname}
%{_libdir}/libswscale.so.%{swsmajor}*
%endif

%files -n %{filterlibname}
%{_libdir}/libavfilter.so.%{filtermajor}*

%files -n %{swresamplelibname}
%{_libdir}/libswresample.so.%{swresamplemajor}*

%files -n %{develname}
%{_includedir}/libavcodec
%{_includedir}/libavdevice
%{_includedir}/libavformat
%{_includedir}/libavutil
%{_includedir}/libpostproc
%{_includedir}/libavfilter
%{_includedir}/libswresample
%{_libdir}/libavcodec.so
%{_libdir}/libavdevice.so
%{_libdir}/libavformat.so
%{_libdir}/libavutil.so
%{_libdir}/libpostproc.so
%{_libdir}/libavfilter.so
%{_libdir}/libswresample.so
%if %{with swscaler}
%{_libdir}/libswscale.so
%{_includedir}/libswscale
%{_libdir}/pkgconfig/libswscale.pc
%endif
%{_libdir}/pkgconfig/libavcodec.pc
%{_libdir}/pkgconfig/libavdevice.pc
%{_libdir}/pkgconfig/libavformat.pc
%{_libdir}/pkgconfig/libavutil.pc
%{_libdir}/pkgconfig/libpostproc.pc
%{_libdir}/pkgconfig/libavfilter.pc
%{_libdir}/pkgconfig/libswresample.pc

%files -n %{staticname}
%{_libdir}/*.a


%changelog
* Mon Oct 08 2012 Bernhard Rosenkraenzer <bero@bero.eu> 1.0-1
+ Revision: 818683
- Update to 1.0

* Thu Sep 27 2012 Dmitry Mikhirev <dmikhirev@mandriva.org> 0.11.2-2
+ Revision: 817706
- rebuild for new openjpeg

  + Bernhard Rosenkraenzer <bero@bero.eu>
    - Update to 0.11.2

* Tue Jul 10 2012 Tomasz Pawel Gajc <tpg@mandriva.org> 0.11.1-4
+ Revision: 808742
- rebuild

* Fri Jun 08 2012 Bernhard Rosenkraenzer <bero@bero.eu> 0.11.1-3
+ Revision: 803383
- Rebuild for x264 0.124 (at some point we should fix the circular dep)

* Fri Jun 08 2012 Bernhard Rosenkraenzer <bero@bero.eu> 0.11.1-2
+ Revision: 803341
- Update to 0.11.1

  + Crispin Boylan <crisb@mandriva.org>
    - Rebuild for opencv

* Mon May 07 2012 Götz Waschk <waschk@mandriva.org> 0.10.3-1
+ Revision: 797256
- add openjpeg include dir
- update to new version 0.10.3

* Fri Mar 23 2012 Bernhard Rosenkraenzer <bero@bero.eu> 0.10.2-2
+ Revision: 786411
- Rebuild for gnutls 3.0

* Sun Mar 18 2012 Bernhard Rosenkraenzer <bero@bero.eu> 0.10.2-1
+ Revision: 785461
- Update to 0.10.2

* Wed Mar 07 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.10-3
+ Revision: 782705
- rebuild with internal dependency generator

* Fri Feb 24 2012 Oden Eriksson <oeriksson@mandriva.com> 0.10-2
+ Revision: 780089
- rebuilt against libvpx.so.1

* Sun Jan 29 2012 Götz Waschk <waschk@mandriva.org> 0.10-1
+ Revision: 769628
- new version
- rediff patch 1
- new libpostproc major

* Sat Jan 21 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.9.1-4
+ Revision: 764444
- fix libx264 encoder in dlopen patch
- add missing definition of %%{_ext} macro

* Tue Jan 17 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.9.1-3
+ Revision: 762005
- fix path to opencore headers in dlopen patch
- move suggests to library package
- implement libxvid support through dlopen() (P1)
- enable libv4l2 support
- enable Dirac support
- enable Pulseaudio input
- enable libcdio support
- enable gnutls support
- enable libass support
- enable libmodplug support
- implement support for faac, mp3lame, opencore & x264 through dlopen() (P1)

* Wed Jan 11 2012 Götz Waschk <waschk@mandriva.org> 0.9.1-1
+ Revision: 759685
- bump x264 dep

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - new version
    - format string fix (P0)
    - ditch unlikely needed compatibility symlinks for static libraries
    - drop redundant dependency on libavutil package for libswscaler
    - fix lib64 related provide duplicates
    - cleanups!
    - remove useless provides
    - update buildrequires on frei0r to pkgconfig(frei0r)
    - enable frei0r support
    - fix unowned dirs
    - build with libxavs support
    - enable libopenjpeg support
    - enable libopencv support
    - enable libcelt support
    - enable libgsm support
    - drop redundant dependencies on library packages
    - enable libnut support
    - enable libfreetype support
    - enable libspeex support

* Wed Nov 23 2011 Götz Waschk <waschk@mandriva.org> 0.8.7-1
+ Revision: 732733
- new version

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - drop obsolete scriptlets & other junk

* Sat Nov 05 2011 Götz Waschk <waschk@mandriva.org> 0.8.6-1
+ Revision: 719000
- update to new version 0.8.6

* Mon Oct 03 2011 Götz Waschk <waschk@mandriva.org> 0.8.5-1
+ Revision: 702504
- update to new version 0.8.5

* Thu Sep 29 2011 Götz Waschk <waschk@mandriva.org> 0.8.4-1
+ Revision: 701932
- new version
- new major

* Thu Sep 29 2011 Götz Waschk <waschk@mandriva.org> 0.7.5-1
+ Revision: 701925
- update to new version 0.7.5

* Sun Jun 26 2011 Götz Waschk <waschk@mandriva.org> 0.7.1-2
+ Revision: 687282
- bump x264 dep
- remove obsolete faad option

* Sun Jun 26 2011 Funda Wang <fwang@mandriva.org> 0.7.1-1
+ Revision: 687226
- br yasm
- new versinon 0.7.1

* Wed Apr 27 2011 Funda Wang <fwang@mandriva.org> 0.6.3-1
+ Revision: 659719
- new version 0.6.3
- update br
- rebuild

  + Anssi Hannula <anssi@mandriva.org>
    - plf: append "plf" to Release on cooker to make plf build have higher EVR
      again with the rpm5-style mkrel now in use

* Mon Dec 06 2010 Götz Waschk <waschk@mandriva.org> 0.6.1-2mdv2011.0
+ Revision: 612098
- rebuild

* Sun Oct 24 2010 Funda Wang <fwang@mandriva.org> 0.6.1-1mdv2011.0
+ Revision: 587862
- new version 0.6.1

* Wed Jul 21 2010 Götz Waschk <waschk@mandriva.org> 0.6-5mdv2011.0
+ Revision: 556307
- build with librtmp (bug #60225)

* Sun Jul 18 2010 Funda Wang <fwang@mandriva.org> 0.6-4mdv2011.0
+ Revision: 554889
- add BR for more encoders

* Tue Jul 13 2010 Götz Waschk <waschk@mandriva.org> 0.6-3mdv2011.0
+ Revision: 551968
- rebuild for new libva

* Tue Jul 13 2010 Anssi Hannula <anssi@mandriva.org> 0.6-2mdv2011.0
+ Revision: 551467
- build with vaapi support

* Mon Jul 12 2010 Götz Waschk <waschk@mandriva.org> 0.6-1mdv2011.0
+ Revision: 551242
- new version 0.6
- drop patch 2
- build with vp8 support

* Tue Jun 15 2010 Götz Waschk <waschk@mandriva.org> 0.6-0.22960.5mdv2010.1
+ Revision: 548077
- disable internal vorbis encoder (bug #59797)
- disable AAC decoder and encoder

* Wed May 05 2010 Götz Waschk <waschk@mandriva.org> 0.6-0.22960.4mdv2010.1
+ Revision: 542343
- rebuild

* Sun May 02 2010 Anssi Hannula <anssi@mandriva.org> 0.6-0.22960.3mdv2010.1
+ Revision: 541620
- fix debug packages (stripping happened too early)
- fix a regression causing wrong fourcc selection for VP6F remuxing
  (ffmpeg-move-vp6f-up.patch)

* Sun Apr 25 2010 Götz Waschk <waschk@mandriva.org> 0.6-0.22960.2mdv2010.1
+ Revision: 538605
- new snapshot
- drop patch 2

* Sun Jan 24 2010 Emmanuel Andry <eandry@mandriva.org> 0.6-0.21383.2mdv2010.1
+ Revision: 495465
- enable cpu detection at run time
- enable schroedinger and firewire support

  + Götz Waschk <waschk@mandriva.org>
    - bump x264 dep

* Fri Jan 22 2010 Emmanuel Andry <eandry@mandriva.org> 0.6-0.21383.1mdv2010.1
+ Revision: 495040
- New svn snapshot

* Wed Jan 13 2010 Emmanuel Andry <eandry@mandriva.org> 0.6-0.21185.1mdv2010.1
+ Revision: 490732
- New svn snapshot

  + Anssi Hannula <anssi@mandriva.org>
    - build with vdpau support on 2009.0+ (BR vdpau-devel)

* Sun Jan 03 2010 Emmanuel Andry <eandry@mandriva.org> 0.6-0.21005.1mdv2010.1
+ Revision: 485996
- New svn snapshot

  + Götz Waschk <waschk@mandriva.org>
    - add more deps to the main package (gc)

* Wed Dec 09 2009 Götz Waschk <waschk@mandriva.org> 0.6-0.20785.1mdv2010.1
+ Revision: 475702
- new snapshot
- fix x264 build
- bump x264 dep

* Sat Nov 07 2009 Götz Waschk <waschk@mandriva.org> 0.6-0.20469.1mdv2010.1
+ Revision: 462295
- new snapshot
- drop imgresample patch, the old API is now gone
- new major
- replace amr by openamr
- disable faac support
- update build deps
- update license

  + Oden Eriksson <oeriksson@mandriva.com>
    - new url

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.5-2mdv2010.0
+ Revision: 424434
- rebuild

  + Götz Waschk <waschk@mandriva.org>
    - fix source URL

* Wed Mar 11 2009 Götz Waschk <waschk@mandriva.org> 0.5-1mdv2009.1
+ Revision: 353681
- new version

  + Anssi Hannula <anssi@mandriva.org>
    - build_amr option (disabled by default) needs --enable-nonfree

* Mon Mar 02 2009 Götz Waschk <waschk@mandriva.org> 0.4.9-3.pre1.17730.1mdv2009.1
+ Revision: 346936
- new snapshot
- rediff patch 0

* Wed Feb 11 2009 Götz Waschk <waschk@mandriva.org> 0.4.9-3.pre1.17149.1mdv2009.1
+ Revision: 339358
- new snapshot
- rediff patch 0
- drop patch 2

* Thu Jan 29 2009 Götz Waschk <waschk@mandriva.org> 0.4.9-3.pre1.16849.1mdv2009.1
+ Revision: 335215
- disable parallel build
- rediff the patch again
- new snapshot
- fix format strings
- update file list

* Sat Dec 20 2008 Oden Eriksson <oeriksson@mandriva.com> 0.4.9-3.pre1.15623.2mdv2009.1
+ Revision: 316743
- rediffed one fuzzy patch
- use %%ldflags and fix linkage (P1)

* Wed Oct 15 2008 Götz Waschk <waschk@mandriva.org> 0.4.9-3.pre1.15623.1mdv2009.1
+ Revision: 293924
- new snapshot
- explicit dep on libpostproc to fix upgrades
- spec cleanup
- bump x264 dep

* Sat Oct 11 2008 Götz Waschk <waschk@mandriva.org> 0.4.9-3.pre1.15595.1mdv2009.1
+ Revision: 292264
- new snapshot
- add conflict with old ffmpeg package to libpostproc

* Sat Oct 11 2008 Götz Waschk <waschk@mandriva.org> 0.4.9-3.pre1.15593.1mdv2009.1
+ Revision: 291905
- new snapshot
- new major
- split out libpostproc
- changes recommended upstream:
 * disable external libnut support
 * drop liba52dec, xvid

* Fri Jul 11 2008 Götz Waschk <waschk@mandriva.org> 0.4.9-3.pre1.14161.1mdv2009.0
+ Revision: 233641
- new snapshot
- remove mpegaudio.h again

* Thu Jul 10 2008 Götz Waschk <waschk@mandriva.org> 0.4.9-3.pre1.14158.1mdv2009.0
+ Revision: 233512
- new snapshot
- update patch 0
- add missing headers requested in bug #41949

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Anssi Hannula <anssi@mandriva.org>
    - update reenable-imgresample.patch so that duplicate sws_ symbols are
      omitted from libavcodec (from Debian adaptation of the patch)
    - drop now unneeded ffplay-uses-xlib.patch (ffplay only uses SDL)

* Thu May 15 2008 Götz Waschk <waschk@mandriva.org> 0.4.9-3.pre1.13155.1mdv2009.0
+ Revision: 207573
- new snapshot
- reenable deprecated libavcodec image scaler for vlc

  + Anssi Hannula <anssi@mandriva.org>
    - set --incdir explicitely so that pkg-config files get generated
      correctly

* Fri Apr 25 2008 Götz Waschk <waschk@mandriva.org> 0.4.9-3.pre1.12949.2mdv2009.0
+ Revision: 197445
- bump for build system trouble
- new snapshot
- reenable swscaler

* Thu Apr 24 2008 Götz Waschk <waschk@mandriva.org> 0.4.9-3.pre1.12933.2mdv2009.0
+ Revision: 197156
- fix header file conflict

* Thu Apr 24 2008 Götz Waschk <waschk@mandriva.org> 0.4.9-3.pre1.12933.1mdv2009.0
+ Revision: 197142
- new version
- drop dirac support
- fix build
- update file list
- update license tag
- disable amr_nb and amr_wb in PLF, it would make the build undistributable

  + Anssi Hannula <anssi@mandriva.org>
    - use --shlibdir instead of move hack for lib64

* Mon Mar 17 2008 Götz Waschk <waschk@mandriva.org> 0.4.9-3.pre1.11599.2mdv2008.1
+ Revision: 188363
- enable vorbis and theora

* Wed Jan 23 2008 Götz Waschk <waschk@mandriva.org> 0.4.9-3.pre1.11599.1mdv2008.1
+ Revision: 157005
- new version
- update dirac deps
- update dirac patch
- fix pkgconfig file generated by dirac patch

* Thu Jan 17 2008 Götz Waschk <waschk@mandriva.org> 0.4.9-3.pre1.11552.1mdv2008.1
+ Revision: 154480
- new version
- fix versioned deps between the packages, the important part is the release

* Wed Jan 02 2008 Götz Waschk <waschk@mandriva.org> 0.4.9-3.pre1.11372.3mdv2008.1
+ Revision: 140384
- new version
- bump avformat major
- add libavdevice
- rediff patch 3

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Thu Dec 20 2007 Thierry Vignaud <tv@mandriva.org> 0.4.9-3.pre1.10833.2mdv2008.1
+ Revision: 135865
- build with -fPIC (#35955)
- kill re-definition of %%buildroot on Pixel's request

* Mon Oct 22 2007 Götz Waschk <waschk@mandriva.org> 0.4.9-3.pre1.10833.1mdv2008.1
+ Revision: 101075
- new version
- drop patch 0

* Fri Oct 12 2007 Götz Waschk <waschk@mandriva.org> 0.4.9-3.pre1.10713.2mdv2008.1
+ Revision: 97491
- fix dirac patch to correctly generate the pkgconfig files
- new devel name
- fix configure options

* Fri Oct 12 2007 Götz Waschk <waschk@mandriva.org> 0.4.9-3.pre1.10713.1mdv2008.1
+ Revision: 97355
- new version
- patch0: build fix
- update dirac patch
- update deps

* Sat May 12 2007 Anssi Hannula <anssi@mandriva.org> 0.4.9-3.pre1.8994.2mdv2008.0
+ Revision: 26484
- fix pkgconfig requires for dirac

* Fri May 11 2007 Götz Waschk <waschk@mandriva.org> 0.4.9-3.pre1.8994.1mdv2008.0
+ Revision: 26250
- new version
- patch for dirac support
- fix buildrequires
- drop merged patch 2
- drop amr source, support using external libamrnb instead

